<?php
  /**
   * @license    http://www.cecill.info/licences/Licence_CeCILL-B_V1-fr.html
   * @author     Francois Merciol <dokuplugin@merciol.fr>
   *
   * Plugin Highlightmenu: highlight menu selection
   */
 
if (!defined ('DOKU_INC'))
  die ();

class action_plugin_highlightmenu extends DokuWiki_Action_Plugin {
 
  function getInfo () {
    return confToHash (dirname (__FILE__).'/INFO.txt');
  }

  function register (Doku_Event_Handler $controller) {
    global $JSINFO, $conf;

    $url = DOKU_REL.getID ();
    $idx = strrpos ($url, ":".$conf['start']);
    if ($idx)
      $url = substr ($url, 0, $idx+1);
    if ($conf['useslash'])
      $url = str_replace (':', '/', $url);

    $JSINFO ['highlightMenu'] =
      array ('URL' => $url,
	     'start' => $conf['start'],
	     'cssPath' => $this->getConf ('cssPath'));
  }
}
