/**
 * Plugin Highlightmenu: highlight menu selection
 *
 * @author Francois Merciol <dokuplugin@merciol.fr>
 */

jQuery (function () {
    var url = JSINFO['highlightMenu']['URL'].toLowerCase ();
    var cssPath = JSINFO['highlightMenu']['cssPath'];
    var start = JSINFO['highlightMenu']['start'].toLowerCase ();
    jQuery (cssPath).each (function () {
	var wrap = jQuery (this);
	wrap.find ('ul li div a.wikilink1').each (function () {
	    var link = this.pathname.toLowerCase ();
	    var idx = link.lastIndexOf (start);
	    if (idx > 0)
		link = link.substr (0, idx);
	    if (link != "/" && url.toLowerCase ().indexOf (link) == 0)
		jQuery (this).parent ().addClass ("highlightMenu");
	});
    });
});
